cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Intuit

TLS 1.2 for QuickBooks Desktop for Windows

Learn what the system requirements are to run TLS 1.2 security protocol on your computer for QuickBooks Desktop 2018 and later.

To get the best experience in QuickBooks, make sure you’re using TLS 1.2. We'll tell you about it and how it affects system requirements for QuickBooks Desktop.

What is TLS 1.2?

TLS 1.2 is an internet security protocol, that’s quickly becoming an industry security standard. To provide greater security and stability, all connections used by QuickBooks Desktop to access Intuit services need to meet certain system requirements. If these are not met, it affects services that include but are not limited to the following:

  • All connected services such as payroll, payments, online banking, etc
  • QuickBooks Desktop activation on a new computer
  • Password reset tool
  • Services that require Intuit account credentials like My apps, secure webmail, contributed reports, etc.
  • Help pages
  • Ordering cheques and supplies

If you're not sure of the following requirements, you can run the TLS 1.2 Readiness tool. This updates your system to become TLS 1.2 compliant provided it meets all Windows Operating System, Internet Explorer and .Net requirements listed below.

System requirements

To prevent any issues with these services and others, make sure to update your QuickBooks and meet these requirements:

Operating System

Here’s the list of the operating system you need:

  • Windows 8.1
  • Windows 10
  • Windows Server 2008 R2
  • Windows Server 2012 R2
  • Windows Server 2017

Important: Here's what you need to know if you're still in Windows 7.

Internet Explorer

QuickBooks Desktop uses features of Internet Explorer. Make sure that you installed Internet Explorer 11 to have the latest updates from Microsoft.

  1. Close QuickBooks Desktop.
  2. Upgrade to IE 11.
  3. Reopen QuickBooks Desktop.

.Net framework

QuickBooks needs version 4.5.2 or greater of .NET framework. Here’s how you can get an up-to-date version.

  1. Download .NET Framework from Microsoft's website.
  2. Save the file to your desktop.
  3. Double-click the file and follow the on-screen instructions.
  4. Reboot your computer after the installation.

Note: If you encounter any errors while installing .NET framework, contact an IT professional or Microsoft.

Internet Explorer Group Policy

If you see an error message, you may need to talk to your IT person or department to allow TLS 1.2 protocol in Internet Explorer.

If the Internet Explorer Group Policy shows that you have the correct Internet Explorer but TLS 1.2 isn’t set up, follow this Microsoft article.

Elevated privileges

If you see an error message, you may need to run QuickBooks with elevated privileges. This is to ensure correct Internet security settings are established.

  1. Close QuickBooks.
  2. Right-click the QuickBooks icon.
  3. Select Run as Administrator.

Was this helpful?

You must sign in to vote, reply, or post